
stages:
  - build
  - test
  - deploy

build:
  stage: build
  script:
    - "pushd .."
    - "if [ -d RiseClipseDeveloper ]; then cd RiseClipseDeveloper ; git pull ; else git clone https://gitlab.centralesupelec.fr/RiseClipseGroup/RiseClipseDeveloper.git ; fi"
    - "popd"
    - "mvn clean install"

tags:
    - riseclipse
